From 952068e2e6912698b291ee02d3682349d291a42d Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Mon, 23 Sep 2024 11:36:37 -0400
Subject: [PATCH v1] meson: Flush stdout in testwrap

Otherwise the progress won't reliably be displayed during a test.
---
 src/tools/testwrap | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/tools/testwrap b/src/tools/testwrap
index 8ae8fb79ba7..21105146c9d 100755
--- a/src/tools/testwrap
+++ b/src/tools/testwrap
@@ -61,6 +61,7 @@ for line in sp.stdout:
     if line.startswith(b'ok '):
         line = line.replace(b' # TODO ', b' # testwrap-overridden-TODO ', 1)
     sys.stdout.buffer.write(line)
+    sys.stdout.flush()
 returncode = sp.wait()
 
 if returncode == 0:
-- 
2.48.1.76.g4e746b1a31.dirty

